|  | Home · All Classes · Modules

# QNetworkInterface.InterfaceFlags Class Reference
[QtNetwork module]

### Methods

- __init__ (self)
- __init__ (self, int f)
- __init__ (self, InterfaceFlags)

### Special Methods

- InterfaceFlags __and__ (self, int f)
- int __bool__ (self)
- bool __eq__ (self, InterfaceFlags f)
- InterfaceFlags __iand__ (self, int f)
- int __int__ (self)
- InterfaceFlags __invert__ (self)
- InterfaceFlags __ior__ (self, int f)
- InterfaceFlags __ixor__ (self, int f)
- bool __ne__ (self, InterfaceFlags f)
- InterfaceFlags __or__ (self, int f)
- InterfaceFlags __xor__ (self, int f)

## Detailed Description

InterfaceFlag may be used whenever InterfaceFlags is expected.

## Method Documentation

### InterfaceFlags.__init__ (self)

### InterfaceFlags.__init__ (self, int f)

### InterfaceFlags.__init__ (self, InterfaceFlags)

### InterfaceFlags InterfaceFlags.__and__ (self, int f)

### int InterfaceFlags.__bool__ (self)

### bool InterfaceFlags.__eq__ (self, InterfaceFlags f)

### InterfaceFlags InterfaceFlags.__iand__ (self, int f)

### int InterfaceFlags.__int__ (self)

### InterfaceFlags InterfaceFlags.__invert__ (self)

### InterfaceFlags InterfaceFlags.__ior__ (self, int f)

### InterfaceFlags InterfaceFlags.__ixor__ (self, int f)

### bool InterfaceFlags.__ne__ (self, InterfaceFlags f)

### InterfaceFlags InterfaceFlags.__or__ (self, int f)

### InterfaceFlags InterfaceFlags.__xor__ (self, int f)